package de.firstdata.ipg.api.client.transaction.creditcard;

import de.firstdata.ipg.api.client.transaction.customercard.CustomerCard;

public class CreditCard extends CustomerCard {

	public final String brand;

	public final String cardCodeValue;

	public CreditCard(final String trackData) {
		super(trackData);
		this.brand = null;
		this.cardCodeValue = null;
	}

	public CreditCard(final String brand, final String trackData) {
		super(trackData);
		this.brand = brand;
		this.cardCodeValue = null;
	}

	public CreditCard(final String cardNumber, final String expMonth, final String expYear, final String cardCodeValue) {
		super(cardNumber, expMonth, expYear);
		this.brand = null;
		this.cardCodeValue = cardCodeValue;
	}

	public CreditCard(final String brand, final String cardNumber, final String expMonth, final String expYear, final String cardCodeValue) {
		super(cardNumber, expMonth, expYear);
		this.brand = brand;
		this.cardCodeValue = cardCodeValue;
	}
}
