package de.firstdata.ipg.api.client.transaction.kps.object;

import de.firstdata.ipg.api.client.transaction.Amount;
import de.firstdata.ipg.api.client.transaction.object.IPGApiTransactionObject;
import de.firstdata.ipg.api.schema.KoreanPaymentServiceTxType;

public abstract class KpsTransactionObject extends IPGApiTransactionObject {

	protected KpsTransactionObject(final Amount amount, final String orderId) {
		super(amount, null, null, orderId);
		getKoreanPaymentServiceTxType().setType(getType());
	}

	@Override
	public void setStoreId(final String storeId) {
		getKoreanPaymentServiceTxType().setStoreId(storeId);
	}

	@Override
	public KoreanPaymentServiceTxType getKoreanPaymentServiceTxType() {
		if (this.koreanPaymentServiceTxType == null) {
			this.koreanPaymentServiceTxType = new KoreanPaymentServiceTxType();
		}
		return this.koreanPaymentServiceTxType;
	}

	@Override
	public String getStore() {
		return getKoreanPaymentServiceTxType().getStoreId();
	}
}
