package de.firstdata.ipg.api.client.exception;

/**
 * An instance of this class is thrown in case the First Data API has registered
 * your store as being closed. If you receive such an exception despite your
 * store being registered as open, please contact support.
 *
 * @author Andreas Schmid
 *
 */
public class MerchantException extends ClientException {

	private static final long serialVersionUID = 1L;

	/**
	 * creates an instance of this class taking an error description as argument
	 *
	 * @param message
	 *            a string describing the error
	 */
	public MerchantException(final String message) {
		super(message);
	}
}
