package de.firstdata.ipg.api.client.transaction.creditcard;

import javax.annotation.CheckForNull;

import de.firstdata.ipg.api.client.transaction.IPGApiTransaction;
import de.firstdata.ipg.api.schema.CardholderInitiatedIndicator;
import de.firstdata.ipg.api.schema.MerchantInitiatedIndicator;
import de.firstdata.ipg.api.schema.UnscheduledCredentialOnFileType;

/**
 * CreditCard Transaction
 *
 * @author i176hft
 *
 */
public interface CCTransaction extends IPGApiTransaction {

	void setUnscheduledCredentialOnFileType(final UnscheduledCredentialOnFileType value);

	void setReferencedSchemeTransactionId(final String value);

	void setCardholderInitiatedIndicator(@CheckForNull CardholderInitiatedIndicator cardholderInitiatedIndicator);

	void setMerchantInitiatedIndicator(@CheckForNull MerchantInitiatedIndicator merchantInitiatedIndicator);

}
