package de.firstdata.ipg.api.client.transaction.dedirectdebit;

public class DEDirectDebit {

	/**
	 * bankcode or BIC
	 *
	 * @deprecated
	 */
	@Deprecated
	public final String bankCode;

	public final String bic;

	/**
	 * accountNumber or IBAN
	 *
	 * @deprecated
	 */
	@Deprecated
	public final String accountNumber;

	public final String iban;

	public final String trackData;

	public DEDirectDebit(final String trackData) {
		this.bankCode = null;
		this.accountNumber = null;
		this.bic = null;
		this.iban = null;
		this.trackData = trackData;
	}

	/**
	 * bankcode and accountNumber or BIC and IBAN
	 *
	 * @param bic
	 *            or bankcode
	 * @param iban
	 *            or account
	 */
	public DEDirectDebit(final String bic, final String iban) {
		this.bankCode = bic;
		this.accountNumber = iban;
		if (iban != null && iban.length() > 12) {
			this.bic = bic;
			this.iban = iban;
		} else {
			this.bic = null;
			this.iban = null;
		}
		this.trackData = null;
	}
}
