package de.firstdata.ipg.api.client.transaction.ideal.object;

import de.firstdata.ipg.api.client.transaction.Amount;
import de.firstdata.ipg.api.client.transaction.ideal.IdealReturnTransaction;

/**
 * A Transaction Object for Ideal return transaction
 *
 * @author Nikhil Jasani
 *
 */
public class IdealReturnTransactionObject extends IdealTransactionObject implements IdealReturnTransaction {

	public IdealReturnTransactionObject(final Amount amount, final String orderId) {
		super(amount, orderId, "return");
	}
}
