package de.firstdata.ipg.api.client.transaction.softwareexpress;

import javax.annotation.CheckForNull;

import de.firstdata.ipg.api.client.transaction.setter.BasketSetter;
import de.firstdata.ipg.api.client.transaction.setter.BillingSetter;
import de.firstdata.ipg.api.schema.Billing;
import de.firstdata.ipg.api.schema.TransactionDetails;

public interface BoletoSaleTransaction extends SoftwareExpressTransaction, BasketSetter, BillingSetter {

	void setAuthorizerID(@CheckForNull final String authorizer);

	void setBilling(@CheckForNull final Billing value);

	void setTransactionDetails(@CheckForNull final TransactionDetails value);
}
